#version 150 core

uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;

uniform float farClipDistance;

in vec4 in_position;
in vec3 in_normal;
in vec3 in_tangent;
in vec3 in_binormal;
in vec2 in_texcoord;

out vec3 ex_normal;
out vec3 ex_tangent;
out vec3 ex_binormal;

out vec2 ex_texcoord;
out float ex_depth;

void main(void)
{
	ex_texcoord = in_texcoord;
	
	vec4 view_position = modelViewMatrix * in_position;
	ex_depth = -view_position.z / farClipDistance;
	
	mat3 modelViewMatrixMat3 = mat3(modelViewMatrix);
	
	ex_normal = modelViewMatrixMat3 * in_normal;
	ex_tangent = modelViewMatrixMat3 * in_tangent;
	ex_binormal = modelViewMatrixMat3 * in_binormal;

	gl_Position = projectionMatrix * view_position;
}