#version 150 core

uniform sampler2D tex_light;
uniform sampler2D tex_glow;
uniform sampler2D tex_glowBlurred;

uniform vec3 lightPosition;

in vec2 ex_texcoord;
in vec3 ex_position;

out	vec4 out0;

void main(void) {
	// Get Input from textures
	vec4 light = texture2D(tex_light, ex_texcoord);
	vec4 glowBurred = texture2D(tex_glowBlurred, ex_texcoord);
	vec4 glow = texture2D(tex_glow, ex_texcoord);
	

	out0 = vec4(light.xyz + 2.0 * glowBurred.xyz + 0.5 * glow.xyz, light.a);
}
