#version 150 core

uniform sampler2D tex_albedo;
uniform sampler2D tex_normal;

uniform vec3 view_eyeDir;
	
uniform vec3 view_lightPos;
uniform vec3 view_lightDir;

uniform vec4 lightFalloff;
uniform vec2 spotLightParams;
	
uniform vec3 lightColour;

// Attributes of light
in vec4 ex_viewPosition;


uniform float farClipDistance;

out	vec4 out0; // Light

const float linFallOff = 4.0;
const float quadrFallOff = 7.4;

void main(void)
{
	vec3 lightToObjectVec = ex_viewPosition.xyz - view_lightPos.xyz;
	vec3 lightToObjectDir = normalize(lightToObjectVec);

	float len = length(lightToObjectVec.xyz);
	float len_sq = len*len;
	
	float str =  1.0 / ( 25.0 * dot(vec3(0.5, linFallOff, quadrFallOff), vec3(1.0, len, len_sq)) );

	out0 = vec4(lightColour * str, 1.0);

}
